/* stylelint-disable selector-descendant-combinator-no-non-space */
$gutter: 3.75rem;

.c-hero {
  @include gradient;

  color: $c-white;
  position: relative;
}

.c-hero__lines {
  position: absolute;
  bottom: -400px;
  left: -200px;

  // 901 - 1200
  @include md-only {
    bottom: -500px;
  }

  // < 900
  @include sm-max {
    display: none;
  }
}

.c-hero__container {
  max-width: $max-width;
  margin-right: auto;
  margin-left: auto;
  position: relative;
  z-index: 2;
}

.c-hero__inner {
  position: relative;
  padding-top: $gutter * 2;
  padding-right: $gutter;
  padding-bottom: $gutter * 1.5;
  padding-left: $gutter;

  // 601 - 900
  @include sm-only {
    padding-right: $gutter * 1.5;
    padding-bottom: $gutter / 2;
    padding-left: $gutter * 1.5;
  }

  // < 600
  @include xs-max {
    padding-top: $gutter * 1.5;
    padding-right: $gutter / 2;
    padding-bottom: $gutter / 2;
    padding-left: $gutter / 2;
  }
}

.c-hero__row {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  margin-bottom: $gutter / 2;
  padding-left: $gutter;

  // 601 - 900
  @include sm-only {
    padding-right: $gutter / 2;
    padding-left: $gutter / 2;
  }

  // < 900
  @include sm-max {
    flex-wrap: wrap;
    padding-right: 0;
    padding-left: 0;
  }
}

.c-hero__item--text {
  width: calc(65% + #{$gutter});
  padding-right: $gutter;

  // < 900
  @include sm-max {
    width: 100%;
    margin-bottom: $gutter;
    padding-right: 0;
  }
}

.c-hero h1 {
  margin-bottom: 0;
  color: $c-orange;
  font-size: 89px;

  // 901 - 1200
  @include md-only {
    font-size: 60px;
    line-height: 1.15;
  }

  // 601 - 900
  @include sm-only {
    font-size: 45px;
    line-height: 1.2;
  }

  // < 600
  @include xs-max {
    font-size: 38px;
    line-height: 1.2;
  }
}

.c-hero p {
  margin-bottom: 0;
  font-weight: $font-bold;
  font-size: 65px;

  // 901 - 1200
  @include md-only {
    font-size: 50px;
    line-height: 1.15;
  }

  // 601 - 900
  @include sm-only {
    font-size: 45px;
    line-height: 1.2;
  }

  // < 600
  @include xs-max {
    font-size: 38px;
    line-height: 1.2;
  }
}

.c-hero__item--image {
  width: calc(35% - #{$gutter});

  // < 900
  @include sm-max {
    width: 95%;
  }
}

.c-hero-header__logo {
  text-align: right;

  // < 900
  @include sm-max {
    padding-bottom: $gutter;
    text-align: center;
  }
}

.c-hero-header__logo img {
  display: inline-block;
  max-height: 530px;

  // 601 - 900
  @include sm-only {
    max-width: 200px;
  }

  // < 600
  @include xs-max {
    max-width: 190px;
  }
}

.c-hero__social {
  position: absolute;
  right: $gutter / 2;
  bottom: $gutter * 0.75;

  // 901 +
  @include md-min {
    right: $gutter;
  }

  // < 600
  @include xs-max {
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding-top: $gutter;
  }
}

.c-hero__social .o-menu-social__list {
  // < 900
  @include sm-max {
    flex-direction: column;
    flex-wrap: wrap;
    text-align: center;
  }
}

.c-hero__social .o-menu-social__item {
  // < 900
  @include sm-max {
    margin-right: 0 !important;
    margin-bottom: $gutter / 3;
  }
}

.c-hero__social .o-menu-social__item:last-child {
  // < 900
  @include sm-max {
    margin-bottom: 0;
  }
}

.c-hero__social .o-menu-social__item i {
  // < 900
  @include sm-max {
    font-size: 20px;
  }
}

.c-hero__registration {
  position: absolute;
  bottom: $gutter * 0.75;
  width: calc(100% - #{$gutter * 2});
  text-align: center;

  // 601 - 900
  @include sm-only {
    width: calc(100% - #{$gutter * 3});
  }

  // < 600
  @include xs-max {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: calc(100% - #{$gutter});
    padding-top: $gutter;
  }
}

.c-hero__registration-link svg {
  position: absolute;
  top: 0;
  right: calc(50% - 11px);
  display: inline-block;
  width: 22px;
  fill: $c-white;
}

.c-hero__registration-link {
  position: relative;
  padding-top: 44px;
  font-weight: $font-regular;
  font-size: 14px;
  letter-spacing: 0.2rem;
  text-transform: uppercase;

  // States //-----------------------------------------------------------------
  &:focus,
  &:hover,
  &:active {
    color: $c-orange;

    svg {
      fill: $c-orange;
    }
  }
}
